import React, { useEffect, useState } from "react";
import data from "../JsonData/data.json";
const Slider = () => {
  const [next, setNext] = useState(0);
  const handleNext = () => {
    setNext((preValue) => {
      if (preValue === data?.length - 1) {
        return 0;
      }
      return preValue + 1;
    });
  };
  const handlePre = () => {
    if (next === 0) {
      setNext(data?.length - 1);
    } else {
      setNext(next - 1);
    }
  };
  useEffect(() => {
  setInterval(handleNext, 5000);
   
  },[]);
  return (
    <div className="container">
      
      <div className="left-btn">
        <button onClick={handlePre}>{"<"}</button>
      </div>
      <img src={data[next]?.download_url} alt="image-not-found"></img>
      <div className="right-btn">
        <button onClick={handleNext}>{">"}</button>
      </div>
    </div>
  );
};
export default Slider;